Add a specialty to a group
POST/groups/:id/specialties
Adds a single specialty to an existing group, creating a group–specialty association. Optionally also adds the specialty to a specific group location and/or network in the same request via effective-date fields (groupSpecialtyEffectiveDate, groupLocationSpecialtyEffectiveDate, networkSpecialtyEffectiveDate). Supports effective-dating at creation but not termination-dating — use POST /groups/{id}/specialties/terminate to terminate a specialty. To add or update multiple specialties in a single call use PATCH /groups/{id}/specialties.
Request
Responses
- 201
- 400
- 404
- 500
Group specialty successfully created
Invalid request body or missing required parameters
Group not found with the given ID for tenant
Internal server error during request processing